# Armenian layout created by Norayr Chilingarian
# Yerevan
# Oct 2021
---
outlines:
    default: { width: 35.33, height: 52 }
    altline: { width: 52.67, height: 52 }
    wide: { width: 32, height: 32 }
    spaceline: { width: 142, height: 52 }
    special: { width: 44, height: 52 }

views:
    base:
        - "՝ ֆ ձ ֊ , ։ ՞ ․ ՛ ) օ է ղ"
        - "ճ փ բ ս մ ո ւ կ ը թ ծ ց »"
        - "ջ վ գ ե ա ն ի տ հ պ ր"
        - "Shift_L ժ դ չ յ զ լ ք խ շ ռ BackSpace"
        - "show_numbers preferences         space        period Return"
    upper:
        - "՜ Ֆ Ձ — $ … ՟ և ՚ ( Օ Է Ղ"
        - "Ճ Փ Բ Ս Մ Ո Ւ Կ Ը Թ Ծ Ց «"
        - "Ջ Վ Գ Ե Ա Ն Ի Տ Հ Պ Պ Ր"
        - "Shift_L Ժ Դ Չ Յ Զ Լ Ք Խ Շ Ռ BackSpace"
        - "show_numbers preferences         space        period Return"
    numbers:
        - "show_symbols   , \" ' colon ; ! ?  BackSpace"
        - "ﬓ  ﬔ  ﬕ  ﬖ  ﬗ   ՟ և"
        - "1 2 3 4 5 6 7 8 9 0"
        - "show_letters preferences         space        period Return"
    symbols:
        - "show_numbers_from_symbols   \\ % < > = [ ]  BackSpace"
        - "* # $ / & - _ + ( )"
        - "© ® £ € ¥ ^ ° @ { }"
        - "~ ` | · √ π τ ÷ × ¶"
        - "show_letters preferences         space        period Return"

buttons:
    Shift_L:
        action:
            locking:
                lock_view: "upper"
                unlock_view: "base"
        outline: "altline"
        icon: "key-shift"
    BackSpace:
        outline: "altline"
        icon: "edit-clear-symbolic"
        action: "erase"
    preferences:
        action: "show_prefs"
        outline: "special"
        icon: "keyboard-mode-symbolic"
    show_numbers:
        action:
            set_view: "numbers"
        outline: "wide"
        label: "123"
    show_numbers_from_symbols:
        action:
            set_view: "numbers"
        outline: "altline"
        label: "123"
    show_letters:
        action:
            set_view: "base"
        outline: "wide"
        label: "ԱԲԳ"
    show_symbols:
        action:
            set_view: "symbols"
        outline: "altline"
        label: "*/="
    period:
        outline: "special"
        text: "."
    space:
        outline: "spaceline"
        text: " "
    Return:
        outline: "wide"
        icon: "key-enter"
        keysym: "Return"
    colon:
        text: ":"
